//
//  UZModulePush.m
//  PushDemo
//
//  Created by kenny on 15/1/7.
//  Copyright (c) 2015年 APICloud. All rights reserved.
//

#import "UZModulePush.h"
#import "UZPushHandler.h"
#import "UZAppDelegate.h"
#import "NSDictionaryUtils.h"

@interface UZModulePush ()
{
    NSInteger _messageCbId;
}

@end

@implementation UZModulePush

// 此方法需要在module.json里面进行配置launchClassMethod字段值为sdkInit，详情查看iOS模块开发指南
+ (void)sdkInit {
    [theApp addAppHandle:[UZPushHandler handler]];
}

- (void)dealloc {
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

- (id)initWithUZWebView:(UZWebView *)webView {
    if (self = [super initWithUZWebView:webView]) {
        [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(handleReceiveMessageNotification:) name:kPushDidReceiveMessageNotification object:nil];
    }
    return self;
}

- (void)dispose {
    
}

- (void)handleReceiveMessageNotification:(NSNotification *)notification {
    NSDictionary *value = notification.userInfo;
    if (value) {
        [self sendResultEventWithCallbackId:_messageCbId dataDict:value errDict:nil doDelete:NO];
    }
}

#pragma mark - js method
- (void)setListener:(NSDictionary *)paramDict {
    _messageCbId = [paramDict integerValueForKey:@"cbId" defaultValue:0];
}

@end
