//
//  UZPushHandler.m
//  PushDemo
//
//  Created by kenny on 15/1/7.
//  Copyright (c) 2015年 APICloud. All rights reserved.
//

#import "UZPushHandler.h"
#import "UZAppDelegate.h"

@implementation UZPushHandler

NSString *kPushDidReceiveMessageNotification = @"kPushDidReceiveMessageNotification";

static UZPushHandler *g_handler = nil;

+ (instancetype)handler {
    if (!g_handler) {
        g_handler = [[UZPushHandler alloc] init];
    }
    return g_handler;
}

#pragma mark - UIApplicationDelegate
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    float version = [[UIDevice currentDevice].systemVersion floatValue];
    if (version < 8.0) {
        [[UIApplication sharedApplication] registerForRemoteNotificationTypes:UIRemoteNotificationTypeBadge|UIRemoteNotificationTypeSound|UIRemoteNotificationTypeAlert];
    } else {
        [[UIApplication sharedApplication] registerForRemoteNotifications];
        
        UIUserNotificationSettings *settings = [UIUserNotificationSettings settingsForTypes:UIUserNotificationTypeBadge|UIUserNotificationTypeSound|UIUserNotificationTypeAlert categories:nil];
        [[UIApplication sharedApplication] registerUserNotificationSettings:settings];
    }
    
    return YES;
}

- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken {
    NSLog(@"%@", deviceToken);
}

- (void)application:(UIApplication *)application didFailToRegisterForRemoteNotificationsWithError:(NSError *)error {
    NSLog(@"error:%@", [error localizedDescription]);
}

- (void)application:(UIApplication *)application didReceiveRemoteNotification:(NSDictionary *)userInfo fetchCompletionHandler:(void (^)(UIBackgroundFetchResult result))completionHandler {
    if (application.applicationState == UIApplicationStateInactive) {
        // 用户点击通知进入应用，可以调用sendNoticeClickedEventWithType: value:方法，js端通过api.addEventListener方法监听noticeclicked事件
        // [theApp sendNoticeClickedEventWithType:1 value:value];
    } else {
        // 表示在前台时收到通知，把数据广播出去
//        [[NSNotificationCenter defaultCenter] postNotificationName:kPushDidReceiveMessageNotification object:nil userInfo:value];
    }
    
    completionHandler(UIBackgroundFetchResultNewData);
}

@end
